/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;


import static java.util.Arrays.asList;

public final class Ids implements AttributeValue {
    private final Iterable<Id> ids;

    private Ids(final Iterable<Id> ids) {
        this.ids = ids;
    }

    public static Ids ids(final Id id, final Id... ids) {
        return new Ids(IterableUtils.cons(id, asList(ids)));
    }

    public String asString() {
        final StringBuilder stringBuilder = new StringBuilder();
        for (Id id : ids) {
            if (stringBuilder.length() != 0) {
                stringBuilder.append(" ");
            }
            stringBuilder.append(id.asString());
        }
        return stringBuilder.toString();
    }
}
