/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import net.sourceforge.writexml.Attributes;
import net.sourceforge.writexml.TagName;

import static net.sourceforge.writexml.Attribute.attribute;
import static net.sourceforge.writexml.AttributeName.attributeName;
import static net.sourceforge.writexml.AttributeValue.attributeValue;


public abstract class TableColumnDetailsTag<T extends TableColumnDetailsTag<T>> extends TableContentTag<T> {
    TableColumnDetailsTag(final TagName tagName, final Attributes attributes, final Iterable<? extends XhtmlTag> children) {
        super(tagName, attributes, children);
    }

    public final T withSpan(final Span span) {
        return makeANewOne(attribute(attributeName("span"), attributeValue(span.asString()), NAMESPACE));
    }

    public final T withWidth(final XhtmlDimension xhtmlDimension) {
        return makeANewOne(attribute(attributeName("width"), attributeValue(xhtmlDimension.asString()), NAMESPACE));
    }
}
